import { aw as r, cU as b, X as u, cV as i, P as x, bJ as k, cW as f, cX as s, Z as t, c3 as m, c4 as $, a4 as p, N as C, cY as g, aA as S, U as v, a8 as w, F as c, ad as W, af as B, Y as y, bM as F, cZ as I, bT as V } from "./e662239c.js";
import { SelectInputValidationChildren as D, useSelectInputValidate as E, selectDivRefMethods as R, SelectInputInvalidConfig as M } from "./4e9ea94c.js";
import { formDataChildren as z } from "./82e4d0a6.js";
import { RadioLayoutOptions as O, RadioPropertyView as T } from "./89c438e0.js";
import "react";
import { fixOldInputCompData as A } from "./3c496b9e.js";
import "react-dom";
const L = (e) => r`
    &,
    .ant-checkbox-wrapper:not(.ant-checkbox-wrapper-disabled) {
      color: ${e.staticText};
      max-width: calc(100% - 8px);

      span:not(.ant-checkbox) {
        ${b};
      }

      .ant-checkbox .ant-checkbox-checked > .ant-checkbox-inner {
        border-color: ${e.checkedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }

      .ant-checkbox:not(.ant-checkbox-checked) > .ant-checkbox-inner{
        border-color: ${e.uncheckedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }

      .ant-checkbox-checked {
        .ant-checkbox-inner {
          background-color: ${e.checkedBackground};
          border-color: ${e.checkedBorder};
          border-width:${e.borderWidth ? e.borderWidth : "2px"};

          &::after {
            border-color: ${e.checked};
          }
        }

        &::after {
          border-color: ${e.checkedBorder};
          border-width:${e.borderWidth ? e.borderWidth : "2px"};
          border-radius: ${e.radius};
        }
      }
      
      .ant-checkbox-inner {
        background-color: ${e.uncheckedBackground};
        border-radius: ${e.radius};
        border-color: ${e.checkedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }
    
      &:hover .ant-checkbox-inner, 
      .ant-checkbox:hover .ant-checkbox-inner,
      .ant-checkbox-input + ant-checkbox-inner {
        ${e.hoverBackground && `background-color: ${e.hoverBackground}`};
      }

      

      &:hover .ant-checkbox-inner,
      .ant-checkbox:hover .ant-checkbox-inner,
      .ant-checkbox-input:focus + .ant-checkbox-inner {
        border-color: ${e.checkedBorder};
        border-width:${e.borderWidth ? e.borderWidth : "2px"};
      }
    }

    

    .ant-checkbox-group-item {
      font-family:${e.fontFamily};
      font-size:${e.textSize};
      font-weight:${e.textWeight};
      font-style:${e.fontStyle};
      text-transform:${e.textTransform};
      text-decoration:${e.textDecoration};
    }
    .ant-checkbox-wrapper {
      padding: ${e.padding};
      .ant-checkbox-inner,
      .ant-checkbox-checked::after {
        border-radius: ${e.radius};
      }
    }
  `, N = u(I)`
  min-height: 32px;
  ${(e) => e.$style && L(e.$style)}
  ${(e) => {
  if (e.$layout === "horizontal")
    return r`
        display: flex;
        align-items: center;
        flex-wrap: wrap;
      `;
  if (e.$layout === "vertical")
    return r`
        display: flex;
        flex-direction: column;
      `;
  if (e.$layout === "auto_columns")
    return r`
        break-inside: avoid;
        columns: 160px;
      `;
}}
`;
let n = function() {
  const e = {
    defaultValue: i("defaultValue"),
    value: i("value"),
    label: x,
    disabled: k,
    onEvent: f,
    options: s,
    style: t(m, "style"),
    labelStyle: t($.filter((o) => ["accent", "validate"].includes(o.name) === !1), "labelStyle"),
    layout: p(O, "horizontal"),
    viewRef: C,
    inputFieldStyle: t(g, "inputFieldStyle"),
    animationStyle: t(S, "animationStyle"),
    ...D,
    ...z
  };
  return new v(e, (o, d) => {
    w(o, d);
    const [l, h] = E(o);
    return o.label({
      required: o.required,
      style: o.style,
      labelStyle: o.labelStyle,
      inputFieldStyle: o.inputFieldStyle,
      animationStyle: o.animationStyle,
      children: /* @__PURE__ */ c(N, {
        ref: o.viewRef,
        disabled: o.disabled,
        value: o.value.value,
        $style: o.inputFieldStyle,
        $layout: o.layout,
        options: o.options.filter((a) => a.value !== void 0 && !a.hidden).map((a) => ({
          label: a.label,
          value: a.value,
          disabled: a.disabled
        })),
        onChange: (a) => {
          h(a);
        }
      }),
      ...l
    });
  }).setPropertyViewFn((o) => /* @__PURE__ */ c(T, {
    ...o
  })).setExposeMethodConfigs(R).build();
}();
n = V(n, A);
const j = W(n, [new B("value", y("selectInput.valueDesc")), M, ...F]);
export {
  j as CheckboxComp,
  L as getStyle
};
